Forums | Mahara Community

Support /
Webservices and PHP8


20 June 2023, 20:48

We had our webservices working under PHP7.4, but as soon as we switch our server to PHP8.0 we get the following error:

 

 'error_message' => '[ValueError]: mysqli_stmt::bind_param(): Argument #1 ($types) cannot be empty',
'error_rendered' => 'A nonrecoverable error occurred. This probably means you have encountered a bug in the system',

 

Is this known? PHP 7.4 is deprecated and we are forced to go to PHP8. I hope there's already a fix for this. We are running Mahara 22.10.0

Doris ⚡'s profile picture
Posts: 81

20 June 2023, 23:08

Hi Richard,

Only the Mahara versions 23.04 and onwards will have PHP 8.1 compatibility. This release is not available to the public. For more info, see: Download Mahara

Kind regards,

Doris

 

 

2 results